<?php
	//
	$LIMPIAR=0;
	//
	$SYS_FOC="Tip";//Primer control en recibir el focus
	//
	$Tip=V($_POST['Tip']);
	$Nom=V($_POST['Nom']);	
	$Hab=V($_POST['Hab']);	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$r=gr("vis_web_productos_tipos_det","ID=$StrId");
		$Tip=$r['TIPO'];
		$Nom=$r['SUB_TIPO'];
		$Hab=$r['HAB'];
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		$Tip_=gn("id_tip","web_productos_tipos","tip_nom='$Tip'");
	}
	//
	if($StrCmd=="G"){
		if(GetC("vis_web_productos_tipos_det","TIPO='$Tip' AND SUB_TIPO='$Nom'")>0){
			$SYS_MSG="Tipo de producto ya registrado";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$Id=GenId("id_tip","web_productos_tipos_det");
			$s="INSERT INTO web_productos_tipos_det 
				VALUES ($Id,$Tip_,'$Nom','$Hab')";
			ejt($s);
			//
			$SYS_MSG="Datos registrados";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="M"){
		if(GetC("web_productos_tipos","tip_nom='$Nom' AND id_tip<>$StrId")>0){
			$SYS_MSG="Tipo de producto ya registrado";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$s="UPDATE web_productos_tipos_det 
				SET td_id_tip=$Tip_,
					td_nom='$Nom',td_hab='$Hab' 
				WHERE id_td=$StrId";
			ejt($s);
			//
			$SYS_MSG="Datos actualizados";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="E"){		
		if(strlen($StrGT)==0){
			$s="DELETE FROM web_productos_tipos_det WHERE id_td=$StrId";	
			ejt($s);
			//
			$SYS_MSG="Registro Eliminado";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$Tip="";
		$Nom="";
		$Hab="";
	}
	//////////////////////////////////	
?>